[tool.poetry]
name = "exchange-chatbot"
version = "0.1.0"
description = ""
authors = ["Exchange Chatbot Team <exchange-chatbot@dial.global>"]
readme = "README.md"
packages = [{ include = "app" }]

[tool.poetry.dependencies]
python = "^3.11"
uvicorn = "^0.32.0"
langserve = {extras = ["all"], version = "^0.3.0"}
pydantic = "^2.5.2"
langchain = "^0.3.7"
langchain-core = "^0.3.19"
langchain-community = "^0.3.7"
langchain-openai = "^0.2.9"
langchain-text-splitters = "^0.3.2"
beautifulsoup4 = "^4.12.3"
faiss-cpu = "^1.8.0.post1"
langchainhub = "^0.1.21"
fake-useragent = "^1.5.1"
requests = "^2.32.3"


[tool.poetry.group.dev.dependencies]
langchain-cli = "^0.0.32"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"

[tool.ruff]
line-length = 100
indent-width = 4
